BTKN Token Rankings
This endpoint provides the top BTKN by trading volume or TVL for different time periods, along with their info & market data.
get
Retrieve the top BTKN tokens sorted by volume/TVL, including token metadata and market data. Default sort is VOLUME24H_DESC.
Authorizations
x-api-keystringRequired
Query parameters
limitnumber · max: 100OptionalDefault:
10sortstring · enumOptionalDefault:
VOLUME24H_DESCPossible values: Responses
200
Default Response
application/json
tokenIdentifierstringOptional
tokenAddressstringOptional
namestringOptional
tickerstringOptional
decimalsnumberOptional
issuerPublicKeystringOptional
iconUrlstringOptional
holderCountnumberOptional
priceUsdnumberOptional
maxSupplynumberOptional
isFreezablebooleanOptional
createdAtstringOptional
updatedAtstringOptional
pricenumberOptional
marketCapUsdstringOptional
aggPriceSatsstringOptional
aggPriceUsdstringOptional
aggPriceChange24hstringOptional
aggTVLUsdstringOptional
aggUpdatedAtstringOptional
aggVolume24hUsdstringOptional
400
Invalid input
application/json
401
Unauthorized
application/json
404
Not found
application/json
429
Rate limit exceeded
application/json
500
Internal server error
application/json
get/v1/spark/btkn/stats/rankings
GET /v1/spark/btkn/stats/rankings HTTP/1.1
Host: api.secretkeylabs.io
x-api-key: YOUR_API_KEY
Accept: */*
[
{
"tokenIdentifier": "text",
"tokenAddress": "text",
"name": "text",
"ticker": "text",
"decimals": 1,
"issuerPublicKey": "text",
"iconUrl": "text",
"holderCount": 1,
"priceUsd": 1,
"maxSupply": 1,
"isFreezable": true,
"createdAt": "text",
"updatedAt": "text",
"price": 1,
"pools": [
{
"lpPublicKey": "text",
"hostName": "text",
"hostFeeBps": 1,
"lpFeeBps": 1,
"assetAAddress": "text",
"assetBAddress": "text",
"assetAReserve": "text",
"assetBReserve": "text",
"currentPriceAInB": "text",
"tvlAssetB": "text",
"volume24hAssetB": "text",
"priceChangePercent24h": "text",
"curveType": "text",
"initialReserveA": "text",
"bondingProgressPercent": "text",
"createdAt": "text",
"priceUsd": "text",
"TVLUsd": "text"
}
],
"marketCapUsd": "text",
"aggPriceSats": "text",
"aggPriceUsd": "text",
"aggPriceChange24h": "text",
"aggTVLUsd": "text",
"aggUpdatedAt": "text",
"aggVolume24hUsd": "text"
}
]Last updated